Subject: Re: [PATCH 01/14] brcmfmac: add delay before unregistering the network device

From: Arend van Spriel <[email-masked]>
Date: Wed, 26 Feb 2014 12:34:09 +0100

On 02/26/2014 12:10 PM, Johannes Berg wrote:
> On Wed, 2014-02-26 at 11:43 +0100, Arend van Spriel wrote:
> 
>> Actually, this was not the reason for the doing the msleep(). The
>> problem was that wpa_supplicant received RTM_DELLINK, before getting the
>> NL08211_DISCONNECT. This resulted in RTM_DELLINK, immediately followed
>> by RTM_ADDLINK, followed by NL80211_DISCONNECT.
> 
> I'm not sure this isn't still possible? I don't know when DELLINK is
> sent.

Given the behaviour I would say before the netdev notifier, which may be
considered wrong. It depends whether the notifier was intended for the
kind of thing that cfg80211 is doing, ie. send a netlink event to
user-space?

Gr. AvS